Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ssh
Interface LogListener

All Known Implementing Classes:
  Scp, SSHBase, SSHExec, SSHSession

    public interface LogListener

Interface for ssh log listeners to implement.

Method Summary
`void` | `log(java.lang.String message)` Method for the loglistener to implement to recieve log messages.

Method Detail

### log

    void log(java.lang.String message)

  Method for the loglistener to implement to recieve log messages.

  Parameters:
    `message` - the message to log

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD